Send Document

Using the Sandbox Key

When you use a sandbox API key during the free trial period, the sender and recipient email addresses must be from the same organisation (email domain).

Document State

  • You can only send a document in the document.draft status.
  • After creating a new document, it usually retains a document.uploaded status for 3-5 seconds while the document syncs across PandaDoc servers. When the document is available for further API calls, it moves to the document.draft state. Use Document Status or Webhooks to check document status.
  • Moving a document to the document.sent status finalizes the document structure, before recipients can complete it.
  • If a template used for the document creation has an approval workflow turned on, the sent document moves to the document.waiting_approval status. Once the document is approved, you need to make the call again to move the document to document.sent status.

Send and Silence Notifications

  • By default, PandaDoc sends a notification email to the recipient, as well as notifications the sender has configured. You may disable all notifications for recipients by passing silent: true. This is useful when you are using alternative delivery methods such as linking to the document or embedding the document.
  • The silent: true parameter disables sent, viewed, comment and completed document email notifications. "Document Approval" notification won't be affected by this parameter.
  • If you pass silent: false, the document is going to be delivered by email and/or SMS.
Example email. Branding can be changed in workspace settings

Select Approver from Group

If you have previously set up an approval workflow with selectable groups on the UI, you can select a particular approver from this group. Learn more about selectable groups.
To set an approver, we recommend to follow these steps:

  1. Run the Document Details request.
  2. Copy the steps part from the approval_execution section of the response into the selected_approvers field of the Send Document payload.
  3. Modify your payload according to business needs: set is_selected to true for one approver.

Note: You can change the selected approver only if you revert your document back to the document.draft status.

Path Params
string
required

Document ID

Body Params
string

A message that will be sent by email with a link to a document to sign.

string

Value that will be used as the email subject.

boolean

If set to true, disables email notifications for document recipients and the document sender. Also disables scheduled reminders (manual reminders still possible). Doesn't affect "Approve document" email notification sent to the Approver.

sender
object

You can set a sender of a document as an email or membership_id

forwarding_settings
object

Set settings for Document and Signature forwarding.

string

Email address that will be used as a reply-to address for the document. To use this parameter, please contact the support team to have it enabled for your account.

selected_approvers
object

Configuration for selected approvers.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json